Loading...
Searching...
No Matches
Opm::RestartIO::Helpers::AggregateGroupData Class Reference

## Public Member Functions

| AggregateGroupData (const std::vector< int > &inteHead)
void | captureDeclaredGroupData (const Opm::Schedule &sched, const Opm::UnitSystem &units, const std::size_t simStep, const Opm::SummaryState &sumState, const std::vector< int > &inteHead)
void | captureDeclaredGroupDataLGR (const Opm::Schedule &sched, const Opm::UnitSystem &units, const std::size_t simStep, const Opm::SummaryState &sumState, const std::string &lgr_tag)
const std::vector< int > & | getIGroup () const
const std::vector< float > & | getSGroup () const
const std::vector< double > & | getXGroup () const
const std::vector< EclIO::PaddedOutputString< 8 > > & | getZGroup () const

## Public Attributes

const std::vector< std::string > | restart_group_keys
const std::vector< std::string > | restart_field_keys
const std::map< std::string, size_t > | groupKeyToIndex
const std::map< std::string, size_t > | fieldKeyToIndex

## Member Data Documentation

## fieldKeyToIndex

const std::map<std::string, size_t> Opm::RestartIO::Helpers::AggregateGroupData::fieldKeyToIndex

Initial value:

## restart_field_keys

const std::vector<std::string> Opm::RestartIO::Helpers::AggregateGroupData::restart_field_keys

Initial value:

## restart_group_keys

const std::vector<std::string> Opm::RestartIO::Helpers::AggregateGroupData::restart_group_keys

Initial value:

The documentation for this class was generated from the following files:

- opm/output/eclipse/AggregateGroupData.hpp
- opm/output/eclipse/AggregateGroupData.cpp